### Signal

# Meta Display::show-restart-message

#### Declaration

    gboolean
    show_restart_message (
      MetaDisplay* self,
      gchar* message,
      gpointer user_data
    )

#### Description [src]

The signal will be emitted to indicate that the compositor should show a message during restart.

This is emitted when `meta_restart()` is called, either by Mutter internally or by the embedding compositor. The message should be immediately added to the Clutter stage in its final form - `MetaDisplay::restart` will be emitted to exit the application and leave the stage contents frozen as soon as the the stage is painted again.

On case of failure to restart, this signal will be emitted again with `NULL` for `message`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`message`

  Type: `gchar*`

  The message to display, or `NULL` to clear a previous restart message.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` means the message was added to the stage; `FALSE` indicates that the compositor did not show the message.